mcelog (182-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 17 Jun 2022 06:10:01 +0200

mcelog (162-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 06 Mar 2019 16:14:35 +0100

mcelog (147+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 13 Jan 2017 22:37:05 +0500

mcelog (144+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Switch to debhelper compat level 10
  * Add Depends: lsb-base
  * Add x32 to Architecture:

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 03 Nov 2016 00:26:44 +0500

mcelog (140+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 21 Aug 2016 16:27:29 +0500

mcelog (137+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 3.9.8 (no change needed)
  * Drop merged fix-spelling.patch

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 21 May 2016 21:28:37 +0500

mcelog (134+dfsg-1) unstable; urgency=medium

  * New upstream version
    + use /sys/firmware/dmi instead of /dev/mem if available, fix handling
      /dev/mem fd (Closes: #816825)
  * Bump Standards-Version to 3.9.7 (no change needed)
  * Update Vcs-* fields to use HTTPS
  * Fix spelling errors in code and manpages

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 27 Mar 2016 13:49:32 +0500

mcelog (128+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #792263)
  * Add debian/watch by Dmitry Smirnov
  * Document that some files are removed from the upstream tarball by adding
    Files-Excluded to debian/changelog and adding +dfsg to the version

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 07 Nov 2015 16:10:07 +0500

mcelog (104-1) unstable; urgency=medium

  * New upstream version
  * Drop MAKEDEV invocation from postinst and the alternative dependency on it.
  * Add --is-cpu-supported option and use it in the initscript to not fail on
    unsupported hardware (Closes: #738927)
  * Bump Standards-Version to 3.9.6 (no change needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 20 Oct 2014 22:54:26 +0600

mcelog (102-1) unstable; urgency=medium

  * New upstream version
    - don't exit on AMD Family 15 CPUs
  * Note in the package description which CPUs are supported
  * Use CFLAGS from dpkg-buildflags

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 10 Aug 2014 23:45:42 +0600

mcelog (100-1) unstable; urgency=medium

  * New upstream snapshot
  * Upload to unstable
  * Source /lib/lsb/init-functions in the init script
  * Use canonical URLs in Vcs-*
  * Bump Standards-Version to 3.9.5 (no change needed)

 -- Andrey Rahmatullin <wrar@wrar.name>  Thu, 13 Feb 2014 02:39:38 +0600

mcelog (1.0~snapshot20121127-1~exp1) experimental; urgency=low

  * New upstream snapshot
    + Don't call all unsupported systems "new" (Closes: #676573)
  * Upload to experimental
  * Adopt the package (Closes: #688540)
  * Switch to debhelper v9 and to dh(1)
  * Rewrite debian/copyright in the machine-readable format, mention the
    license of rbtree.*
  * Add the Homepage field
  * Add the Vcs-* fields
  * Bump Standards-Version to 3.9.4 (no change needed)
  * Fix a spelling error
  * Escape hyphens in the manpage
  * Add proper Default-Stop: to the initscript

 -- Andrey Rahmatullin <wrar@wrar.name>  Fri, 30 Nov 2012 23:14:24 +0600

mcelog (1.0~pre3-72-gcbd4da4-1) unstable; urgency=low

  * New git snapshot.

  * debian/control:
    + Rework package description; mcelog is now required on i386 kernels too,
      since the x86 and x86-64 MCE support got merged together after the big
      x86 merge (closes: #629408).

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Jul 2011 18:41:03 +0200

mcelog (1.0~pre3-66-g39f5b74-1) unstable; urgency=low

  * New git snapshot.
  * Removed sourceless PDF files.

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).
  * debian/rules:
    + Do not define DOCDIR at install time, PDFs have been removed so there
      is no additional documentation to install anymore.

  * debian/patches/fix_timeout_bit.patch,
    debian/patches/fix_trigger_typo.dpatch:
    + Removed; merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Fri, 03 Jun 2011 19:04:47 +0200

mcelog (1.0~pre3-3) unstable; urgency=low

  * debian/patches/fix_timeout_bit.patch:
    + Added; fix interpretation of the timeout bit (closes: #587365).

 -- Julien BLACHE <jblache@debian.org>  Mon, 28 Jun 2010 18:15:24 +0200

mcelog (1.0~pre3-2) unstable; urgency=low

  * debian/copyright:
    + Update.

  * debian/patches/fix_dmi_segfault.patch:
    + Added; fix segfault when SMBIOS tables cannot be mmaped (closes: #585853).

 -- Julien BLACHE <jblache@debian.org>  Tue, 22 Jun 2010 18:45:02 +0200

mcelog (1.0~pre3-1) unstable; urgency=low

  * New upstream release.

  * Package converted to source format 3.0 (quilt).
    + Patches now have DEP-3 headers.

  * debian/rules:
    + Remove dpatch code.
  * debian/control:
    + Remove dpatch from Build-Depends.
    + Bump Standards-Version to 3.8.4 (no changes).
  * debian/mcelog.init:
    + Add $remote_fs to Required-{Start,Stop}.

  * debian/patches/01_64bit_mem_addr.dpatch:
    + Renamed to fix_64bit_mem_addr.patch, refreshed, content unchanged.
  * debian/patches/10_trigger_typo.dpatch:
    + Renamed to fix_trigger_typo.patch, refreshed, content unchanged.

 -- Julien BLACHE <jblache@debian.org>  Tue, 09 Mar 2010 19:39:16 +0100

mcelog (1.0~pre1-1) unstable; urgency=low

  * New upstream release (closes: #561163).
    + Disk DB for memory errors is deprecated upstream and disabled.

  * debian/mcelog.init:
    + Add support for daemon mode, keep support for trigger mode.
  * debian/mcelog.default:
    + Added; default to daemon mode for mcelog.
  * debian/mcelog.postinst:
    + Remove code handling /var/lib/memory-errors on upgrade from
      versions < 0.8~pre-5 (0.8~pre-8 in Lenny).
  * debian/mcelog.preinst:
    + Move /etc/mcelog.conf to /etc/mcelog/mcelog.conf.
  * debian/mcelog.NEWS, debian/README.Debian:
    + Updated.
  * debian/rules:
    + Restart mcelog on upgrade (remove -r from dh_installinit).

  * debian/patches/03_memory_errors.dpatch:
    + Removed; no longer needed as disk DB is now disabled.
  * debian/patches/10_trigger_typo.dpatch:
    + Added; fix a small typo in cache-error-trigger.

 -- Julien BLACHE <jblache@debian.org>  Fri, 18 Dec 2009 19:06:09 +0100

mcelog (0.9~pre+2gitb7ddf8-2) unstable; urgency=low

  * debian/mcelog.init:
    + Check for existence of $TRIGGER in all actions (closes: #553200).

 -- Julien BLACHE <jblache@debian.org>  Thu, 29 Oct 2009 17:51:05 +0100

mcelog (0.9~pre+2gitb7ddf8-1) unstable; urgency=low

  * New git snapshot, b7ddf8dbc7ad289f8e316e730b7f6d0f97720a82.
    + Several fixes, including Nehalem channel decoding.

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Oct 2009 11:23:14 +0200

mcelog (0.9~pre+1git543dbb-2) unstable; urgency=low

  * debian/control:
    + Swap udev and makedev in the alternative (closes: #546875).
    + Bump Standards-Version to 3.8.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Wed, 16 Sep 2009 18:58:09 +0200

mcelog (0.9~pre+1git543dbb-1) unstable; urgency=low

  * Snapshot from git (543dbb) (closes: #538163).

  * Makefile:
    + Enable disk db (was always enabled in previous versions).

  * debian/copyright:
    + Mention upstream git tree location.
  * debian/rules:
    + Pass etcprefix at install time.
  * debian/dirs:
    + Add etc for conffile installation.

  * debian/patches/01_64bit_mem_addr.dpatch:
    + Updated.
  * debian/patches/02_tsc_secs_fix.dpatch:
    + Removed; fixed upstream.
  * debian/patches/03_memory_errors.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Fri, 24 Jul 2009 09:02:07 +0200

mcelog (0.9~pre1-3) unstable; urgency=low

  * Reupload to unstable.

 -- Julien BLACHE <jblache@debian.org>  Thu, 09 Jul 2009 13:27:33 +0200

mcelog (0.9~pre1-2) experimental; urgency=low

  * Switch to running mcelog via the kernel MCE trigger instead of running
    via cron (closes: #535180).

  * debian/README.Debian:
    + Updated for trigger mode.
  * debian/mcelog.NEWS:
    + Document switch to trigger mode.
  * debian/control:
    + Remove po-debconf build-dep.
    + Add fixed dependencies on debconf for purging the templates.
    + Fix description, MCE will now be logged to syslog.
  * debian/rules:
    + Do not install logrotate config snippet.
    + Do not install cron config snippet.
    + Do not install debconf scripts.
    + Install mcelog init script.
  * debian/mcelog.postinst:
    + Remove debconf code and stop checking for /dev/mcelog usability.
  * debian/mcelog.postrm:
    + Purge debconf templates on purge (manually).
  * debian/mcelog.preinst:
    + Remove obsolete conffiles: /etc/logrotate.d/mcelog, /etc/cron.d/mcelog,
      /etc/mcelog-disabled.
  * debian/mcelog.init:
    + Added; simple init script to set up the kernel trigger.

  * debian/patches/10_debian_test.dpatch, debian/patches/11_logrotate.dpatch,
    debian/mcelog.cron.d, debian/mcelog.templates, debian/po/*:
    + Removed.

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jul 2009 18:41:32 +0200

mcelog (0.9~pre1-1) unstable; urgency=low

  * New upstream (pre) release.

  * debian/control:
    + Bump Standards-Version to 3.8.2 (no changes).
    + Remove supported processors from the description; the list is
      growing and is pointless now.
  * debian/copyright:
    + Updated.

  * debian/patches/03_memory_errors.dpatch:
    + Updated.
  * debian/patches/10_debian_test.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Tue, 30 Jun 2009 19:19:29 +0200

mcelog (0.8~pre-8) unstable; urgency=low

  * debian/mcelog.postrm:
    + Check for /var/lib/mcelog existence, in case it's been removed by dpkg
      before postrm is run (closes: #507349).

 -- Julien BLACHE <jblache@debian.org>  Sun, 30 Nov 2008 13:38:11 +0100

mcelog (0.8~pre-7) unstable; urgency=low

  * debian/control:
    + Fix typo in description (closes: #505441).

  * debian/mcelog.postinst, debian/mcelog.postrm:
    + Make postinst and postrm scripts set -e.

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Nov 2008 13:43:07 +0100

mcelog (0.8~pre-6) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).

  * debconf translations:
    + sv.po: courtesy of Martin Ågren (closes: #492064).

 -- Julien BLACHE <jblache@debian.org>  Wed, 23 Jul 2008 18:44:15 +0200

mcelog (0.8~pre-5) unstable; urgency=low

  * debian/mcelog.postinst:
    + Move /var/lib/memory-errors to /var/lib/mcelog/memory-errors.
  * debian/mcelog.postrm:
    + Remove /var/lib/mcelog/memory-errors and /var/lib/mcelog (if empty) on
      purge.
    + Remove /var/log/mcelog & /var/log/mcelog.* on purge.
  * debian/patches/03_memory_errors.dpatch:
    + Added; store memory-errors state file in /var/lib/mcelog
      (closes: #458030).
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Mon, 31 Dec 2007 18:36:29 +0100

mcelog (0.8~pre-4) unstable; urgency=low

  * debian/po/ja.po:
    + Added Japanese debconf translation courtesy of Kenshi Muto (closes: #446587).

 -- Julien BLACHE <jblache@debian.org>  Sun, 14 Oct 2007 11:44:29 +0200

mcelog (0.8~pre-3) unstable; urgency=low

  * debian/README.Debian:
    + mcelog must be run via annotate-output for timestamping, piping its
      output to annotate-output doesn't work (closes: #439223).

 -- Julien BLACHE <jblache@debian.org>  Thu, 23 Aug 2007 16:18:54 +0200

mcelog (0.8~pre-2) unstable; urgency=low

  * debian/rules:
    + Build with standard -g -O2 -Wall CFLAGS.
  * debian/patches/02_tsc_secs_fix.dpatch:
    + Added; Fix typo in TSC-to-uptime computation.

 -- Julien BLACHE <jblache@debian.org>  Thu, 16 Aug 2007 18:40:09 +0200

mcelog (0.8~pre-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/rules:
    + Use dpatch.
  * debian/patches/10_debian_test.dpatch:
    + Added (from Debian diff); Add the --debian-test option.
  * debian/patches/11_logrotate.dpatch:
    + Added (from Debian diff); Slightly change logrotate options.
  * debian/patches/01_64bit_mem_addr.dpatch:
    + Added; Use 64bit variables on 32bit architectures to pass memory addresses
      around, otherwise the --dmi output is incorrect for machines with more
      than 4 GB of RAM. Adapted from the patch contributed by Anders Kaseorg
      for v0.7 (closes: #437022).

 -- Julien BLACHE <jblache@debian.org>  Wed, 15 Aug 2007 12:17:58 +0200

mcelog (0.7-6) unstable; urgency=low

  * debian/po/pt.po:
    + Add Portuguese debconf translation by AmÃ©rico Monteiro (closes: #434200).
  * debian/control:
    + Depend on makedev | udev (closes: #434162).
  * debian/mcelog.postinst:
    + Fix MAKEDEV invocation.
  * debian/rules:
    + Do not ignore make clean failures in clean target.

 -- Julien BLACHE <jblache@debian.org>  Mon, 23 Jul 2007 00:24:50 +0200

mcelog (0.7-5) unstable; urgency=low

  * debian/po/nl.po:
    + Add dutch debconf translation by Bart Cornelis (closes: #419726).

 -- Julien BLACHE <jblache@debian.org>  Tue, 17 Apr 2007 19:54:11 +0200

mcelog (0.7-4) unstable; urgency=low

  * debian/README.Debian:
    + Document the lack of MCE support on Xen kernels (closes: #410023).

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Feb 2007 17:01:38 +0100

mcelog (0.7-3) unstable; urgency=low

  * debian/po/de.po: german debconf translation courtesy of Alwin Meschede
    (closes: #400658).

 -- Julien BLACHE <jblache@debian.org>  Thu, 30 Nov 2006 20:09:25 +0100

mcelog (0.7-2) unstable; urgency=low

  * debian/README.Debian:
    + Explain why timestamping mcelog's output isn't very useful, and how to
      easily add the timestamping.

 -- Julien BLACHE <jblache@debian.org>  Sun,  8 Oct 2006 18:55:27 +0200

mcelog (0.7-1) unstable; urgency=low

  * New upstream release (closes: #367247).
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sun, 14 May 2006 20:31:49 +0200

mcelog (0.6-5) unstable; urgency=low

  * debian/po/fr.po
    + Added french translation (closes: #364263).

 -- Julien BLACHE <jblache@debian.org>  Sat, 29 Apr 2006 13:15:32 +0200

mcelog (0.6-4) unstable; urgency=low

  * debian/control:
    + Depends: makedev (>= 2.3.1-81).
  * debian/mcelog.config:
    + Removed; merged into the postinst, as it needs mcelog itself and apt runs
      the config script before unpacking.
  * debian/mcelog.postinst:
    + Create /dev/mcelog if it doesn't exist.
    + Merge mcelog.config back in the postinst.
  * Added Czech debconf translation (closes: #361122).

 -- Julien BLACHE <jblache@debian.org>  Fri, 14 Apr 2006 12:50:07 +0200

mcelog (0.6-3) unstable; urgency=low

  * debian/mcelog.postinst, debian/rules, debian/control:
    + Use a debconf note instead of mailing root when mcelog can't be used on
      the machine (closes: #327532).
  * mcelog.c:
    + Remove the -t option.

 -- Julien BLACHE <jblache@debian.org>  Sat,  1 Apr 2006 17:15:05 +0200

mcelog (0.6-2) unstable; urgency=low

  * mcelog.c:
    + Introduce the --debian-test switch to replace -t; avoid possible clash
      with upstream's options.
  
    ** -t will go away at the next revision, you've been warned **
  
  * debian/mcelog.postinst, debian/README.Debian:
    + Replace mcelog -t with mcelog --debian-test.

 -- Julien BLACHE <jblache@debian.org>  Tue, 14 Mar 2006 19:40:20 +0100

mcelog (0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/mcelog.cron.d:
    + Add --ignorenodev and --filter to match the sample cron script.

 -- Julien BLACHE <jblache@debian.org>  Tue, 28 Feb 2006 17:13:41 +0100

mcelog (0.4-4) unstable; urgency=low

  * debian/control, debian/README.Debian
    + Highlight the fact that mcelog works only with x86-64 kernels.
  * debian/mcelog.postinst:
    + Do not test /dev/mcelog if /etc/mcelog-disabled exists.
  * debian/mcelog.postrm:
    + Remove /etc/mcelog-disabled on purge.

 -- Julien BLACHE <jblache@debian.org>  Thu, 31 Mar 2005 13:39:15 +0200

mcelog (0.4-3) unstable; urgency=low

  * mcelog.c, postinst, README.Debian:
    + Add a -t option to mcelog to test /dev/mcelog; use it in postinst to
      enable/disable the mcelog crontab (and mail root if needed); document
      the procedure in README.Debian (closes: #302041).
        Thanks to LoÃ¯c Minier and Mario Holbe for their input.

 -- Julien BLACHE <jblache@debian.org>  Tue, 29 Mar 2005 23:31:45 +0200

mcelog (0.4-2) unstable; urgency=low

  * Rewritten the description, it sucked badly.

 -- Julien BLACHE <jblache@debian.org>  Tue, 29 Mar 2005 21:42:34 +0200

mcelog (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Mon, 28 Mar 2005 22:59:25 +0200

mcelog (0.3-1) unstable; urgency=low

  * Initial Release (closes: #292559).

 -- Julien BLACHE <jblache@debian.org>  Fri, 28 Jan 2005 22:24:58 +0100

